# pretty_rivers

Downloads USGS data for a given location and makes a pretty map of the rivers. The width of the rivers is proportional to the area of land that the section of river drains.

## To run :
1. Clone the repository
2. Edit the extent of the map you want to produce in `extent.csv`. Include lat/long coordinates of two opposite corners (i.e. top-left and bottom-right).
3. Run the scripts:
    - `01_set_extent.R` - This script sets the data directory and loads the extent from `extent.csv`.
    - `02_download_data.R` - This will take the longest. It downloads the data to a `data/` directory in the repo. The whole of Wisconsin downloads ~12GB of data. This script can be skipped after you have already downloaded the data, and the extent is within what you downloaded.
    - `03_process_data.R` - This loads and processes the data. After the initial run downloading the data for a given extent, you can start with this script.
    - `04_make_figures.R` - This generates figures in a `figures/` directory in the repo.

## required packages/libraries installed:
- `R`
- `nhdplusTools`
- `sf`

## Example figure
![example figure](example.png)
